﻿@{
    Layout = "~/Views/Shared/_Layout.cshtml";
    var fullName = ViewBag.FullName != null ? ViewBag.FullName : User.GetFullName();
}

<section class="header-account-page bg-light d-flex align-items-end mb-5" data-offset-top="#header-main">
    <!-- Header container -->
    <div class="container pt-4 pt-lg-0">
        <div class="row">
            <div class="col-lg-12">
                <div class="row align-items-center mt-5 mb-4">
                    <div class="col-md-5 mb-4 mb-md-0">
                        <span class="h2 mb-0 d-block"><b>@fullName</b></span>
                        <span>@ViewBag.GreetingMessage</span>
                    </div>
                    <div class="col-auto flex-fill d-none d-xl-block">
                        <ul class="list-inline row justify-content-lg-end mb-0">
                            <li class="list-inline-item col-sm-4 col-md-auto px-3 my-2 mx-0">
                                <span class="badge badge-dot">
                                    <i class="bg-success"></i>مجموع خرید ها <i class="far fa-angle-up fa-2x text-success pl-2"></i>
                                </span>
                                <a class="d-sm-block h5 font-weight-bold pl-2" href="@Url.Action("BuyOrders")">
                                    @{
                                        decimal totalBuy = Convert.ToDecimal(ViewBag.TotalBuy);
                                        decimal totalSell = Convert.ToDecimal(ViewBag.TotalSell);
                                        var totalBuyText = totalBuy <= 0 ? "هیچ" : totalBuy.ToPriceWithoutFloat() + " تومان";
                                        var totalSellText = totalSell <= 0 ? "هیچ" : totalSell.ToPriceWithoutFloat() + " تومان";
                                    }
                                    @totalBuyText
                                </a>
                            </li>
                            <li class="list-inline-item col-sm-4 col-md-auto px-3 my-2 mx-0">
                                <span class="badge badge-dot">
                                    <i class="bg-danger"></i>مجموع فروش ها <i class="far fa-angle-down fa-2x text-danger pl-2"></i>
                                </span>
                                <a class="d-sm-block h5 font-weight-bold pl-2" href="@Url.Action("SellOrders")">
                                    @totalSellText
                                </a>
                            </li>
                            @*<li class="list-inline-item col-sm-4 col-md-auto px-3 my-2 mx-0">
                                    <span class="badge badge-dot">
                                        <i class="bg-warning"></i>مجموع درآمد از دعوت دیگران
                                    </span>
                                    <a class="d-sm-block h5 font-weight-bold pl-2" href="#">
                                        @Model.TotalIncomeFromReferrals
                                        <small class="far fa-angle-down text-warning"></small>
                                    </a>
                                </li>*@
                        </ul>
                    </div>
                </div>
                <!-- Account navigation -->
                <div class="d-flex">
                    <a href="@Url.Action("Index")" class="btn btn-icon btn-group-nav shadow btn-primary">
                        <span class="btn-inner--icon"><i class="far fa-user"></i></span>
                        <span class="btn-inner--text d-none d-md-inline-block">حساب کاربری</span>
                    </a>
                    <a href="@Url.Action("Referrals")" class="btn btn-icon btn-group-nav shadow btn-lead ml-2">
                        <span class="btn-inner--icon"><i class="far fa-dollar-sign"></i></span>
                        <span class="btn-inner--text d-none d-md-inline-block">کسب درآمد</span>
                    </a>
                    <div class="btn-group btn-group-nav shadow ml-auto" role="group" aria-label="Basic example">
                        <div class="btn-group" role="group">
                            <button id="btn-group-settings" type="button" class="btn btn-primary btn-icon" data-toggle="dropdown" data-offset="0,8" aria-haspopup="true" aria-expanded="false">
                                <span class="btn-inner--icon"><i class="far fa-cogs"></i></span>
                                <span class="btn-inner--text d-none d-sm-inline-block">تنظیمات</span>
                            </button>
                            <div class="dropdown-menu dropdown-menu-right dropdown-menu-arrow" aria-labelledby="btn-group-settings">
                                <span class="dropdown-header">حساب</span>
                                <a class="dropdown-item" href="@Url.Action("Account")"><i class="far fa-user-cog"></i> تنظیمات حساب</a>
                                <a class="dropdown-item" href="@Url.Action("ChangePassword")"><i class="far fa-key"></i> تغییر کلمه عبور</a>
                                <a class="dropdown-item" href="@Url.Action("TwoFa")"><i class="far fa-key-skeleton"></i> ورود دو مرحله ای</a>
                                <span class="dropdown-header">تنظیمات دیگر</span>
                                <a class="dropdown-item" href="@Url.Action("BankAccounts")"><i class="far fa-piggy-bank"></i> حساب بانکی ها</a>
                                <a class="dropdown-item" href="@Url.Action("Wallets")"><i class="far fa-wallet"></i> کیف پول ها</a>
                                <a class="dropdown-item" href="@Url.Action("Alerts")"><i class="far fa-bell"></i> اعلان ها</a>
                            </div>
                        </div>
                        <div class="btn-group" role="group">
                            <button id="btn-group-boards" type="button" class="btn btn-primary btn-icon" data-toggle="dropdown" data-offset="0,8" aria-haspopup="true" aria-expanded="false">
                                <span class="btn-inner--icon"><i class="far fa-user-check"></i></span>
                                <span class="btn-inner--text d-none d-sm-inline-block">احراز هویت</span>
                            </button>
                            <div class="dropdown-menu dropdown-menu-right dropdown-menu-arrow" aria-labelledby="btn-group-boards">
                                <a class="dropdown-item" href="@Url.Action("VerifyDetail")"><i class="far fa-info"></i> چک لیست وضعیت</a>
                                <a class="dropdown-item" href="@Url.Action("VerifyInfo")"><i class="far fa-pen"></i> ورود اطلاعات شخصی</a>
                                <a class="dropdown-item" href="@Url.Action("VerifyPhoneEmail")"><i class="far fa-phone"></i> تایید موبایل و ایمیل</a>
                                <a class="dropdown-item" href="@Url.Action("VerifyIdentity")"><i class="far fa-address-card"></i> ارسال مدارک</a>
                                <a class="dropdown-item" href="@Url.Action("VerifyBankCard")"><i class="far fa-credit-card"></i> افزودن کارت بانکی</a>
                                <a class="dropdown-item" href="@Url.Action("VerifyLocation")"><i class="far fa-home"></i> تایید محل سکونت</a>
                            </div>
                        </div>
                        <div class="btn-group" role="group">
                            <button id="btn-group-listing" type="button" class="btn btn-primary btn-icon rounded-right" data-toggle="dropdown" data-offset="0,8" aria-haspopup="true" aria-expanded="false">
                                <span class="btn-inner--icon"><i class="far fa-list-ul"></i></span>
                                <span class="btn-inner--text d-none d-sm-inline-block">سفارش ها</span>
                            </button>
                            <div class="dropdown-menu dropdown-menu-right dropdown-menu-arrow" aria-labelledby="btn-group-settings">
                                <a class="dropdown-item" href="@Url.Action("BuyOrders")"><i class="far fa-arrow-up"></i> خرید ها</a>
                                <a class="dropdown-item" href="@Url.Action("SellOrders")"><i class="far fa-arrow-down"></i> فروش ها</a>
                                <a class="dropdown-item" href="@Url.Action("SwapOrders")"><i class="far fa-exchange"></i> تبدیل ها</a>
                                <a class="dropdown-item" href="@Url.Action("ExchangeOrders")"><i class="far fa-list"></i> همه مبادلات</a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

<section class="slice bg-section-secondary">
    <div class="container">
        @Html.Partial("_Notification")
        @RenderBody()
    </div>
</section>

@section scripts{
    @Scripts.Render("~/js/jqueryval")
}